umbrello: OwnedHierarchicalCodeBlock Class Reference

umbrello 2.39.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Slots | Public Member Functions | Protected Member Functions | List of all members
OwnedHierarchicalCodeBlock Class Referenceabstract

`#include <ownedhierarchicalcodeblock.h>`

Inheritance diagram for OwnedHierarchicalCodeBlock:

## Public Slots
void | syncToParent ()
Public Slots inherited from OwnedCodeBlock
virtual void | syncToParent ()

## Public Member Functions
| OwnedHierarchicalCodeBlock (UMLObject *parent, CodeDocument *parentDoc, const QString &start=QString(), const QString &end=QString(), const QString &comment=QString())
virtual | ~OwnedHierarchicalCodeBlock ()
CodeDocument * | getParentDocument ()
virtual void | updateContent ()=0
virtual void | saveToXMI (QXmlStreamWriter &writer)=0
virtual void | loadFromXMI (QDomElement &root)=0
Public Member Functions inherited from OwnedCodeBlock
| OwnedCodeBlock (UMLObject *parent)
virtual | ~OwnedCodeBlock ()
UMLObject * | getParentObject ()
Public Member Functions inherited from HierarchicalCodeBlock
| HierarchicalCodeBlock (CodeDocument *doc, const QString &startString=QString(), const QString &endString=QString(), const QString &comment=QString())
virtual | ~HierarchicalCodeBlock ()
void | setEndText (const QString &new_var)
QString | getEndText () const
bool | addTextBlock (TextBlock *add_object)
bool | insertTextBlock (TextBlock *newBlock, TextBlock *existingBlock, bool after=true)
bool | removeTextBlock (TextBlock *remove_object)
void | setStartText (const QString &text)
QString | getStartText () const
virtual QString | toString () const
QString | getUniqueTag ()
QString | getUniqueTag (const QString &prefix)
void | addCodeClassFieldMethods (CodeClassFieldList &list)
virtual CodeBlock * | newCodeBlock ()
virtual CodeBlockWithComments * | newCodeBlockWithComments ()
virtual HierarchicalCodeBlock * | newHierarchicalCodeBlock ()
Public Member Functions inherited from CodeBlockWithComments
| CodeBlockWithComments (CodeDocument *parent, const QString &body=QString(), const QString &comment=QString())
virtual | ~CodeBlockWithComments ()
void | setComment (CodeComment *object)
CodeComment * | getComment () const
void | setOverallIndentationLevel (int level)
Public Member Functions inherited from CodeBlock
| CodeBlock (CodeDocument *parent, const QString &body=QString())
virtual | ~CodeBlock ()
void | setContentType (ContentType new_var)
ContentType | contentType () const
Public Member Functions inherited from TextBlock
| TextBlock (CodeDocument *parent, const QString &text=QString())
virtual | ~TextBlock ()
void | setText (const QString &text)
QString | getText () const
void | appendText (const QString &text)
void | setTag (const QString &value)
QString | getTag () const
CodeDocument * | getParentDocument () const
void | setWriteOutText (bool write)
bool | getWriteOutText () const
void | setIndentationLevel (int level)
int | getIndentationLevel () const
QString | getIndentationString (int level=0) const
virtual QString | unformatText (const QString &text, const QString &indent=QString())
bool | canDelete () const
virtual QString | getNewEditorLine (int amount=0)
virtual int | firstEditableLine ()
virtual int | lastEditableLine ()
Public Member Functions inherited from CodeGenObjectWithTextBlocks
| CodeGenObjectWithTextBlocks (CodeDocument *parent)
virtual | ~CodeGenObjectWithTextBlocks ()
TextBlockList * | getTextBlockList () const
virtual HierarchicalCodeBlock * | getHierarchicalCodeBlock (const QString &tag, const QString &comment, int indentLevel)
virtual CodeBlockWithComments * | getCodeBlockWithComments (const QString &tag, const QString &comment, int indentLevel)
CodeComment * | addOrUpdateTaggedCodeComment (const QString &tag=QString(), const QString &text=QString(), int indentationLevel=0)
CodeBlockWithComments * | addOrUpdateTaggedCodeBlockWithComments (const QString &tag, const QString &text, const QString &ctext, int indentLevel, bool forceUserBlockUpdate)
TextBlock * | findTextBlockByTag (const QString &tag)
CodeGenObjectWithTextBlocks * | findParentObjectForTaggedTextBlock (const QString &tag)

## Protected Member Functions
virtual void | release ()
virtual void | setAttributesOnNode (QXmlStreamWriter &writer)
virtual void | setAttributesFromNode (QDomElement &element)
virtual void | setAttributesFromObject (TextBlock *obj)
Protected Member Functions inherited from OwnedCodeBlock
Protected Member Functions inherited from HierarchicalCodeBlock
TextBlock * | findCodeClassFieldTextBlockByTag (const QString &tag)
Protected Member Functions inherited from CodeBlockWithComments
Protected Member Functions inherited from CodeBlock
Protected Member Functions inherited from TextBlock
void | setCanDelete (bool canDelete)
Protected Member Functions inherited from CodeGenObjectWithTextBlocks
void | setAttributesFromObject (CodeGenObjectWithTextBlocks *obj)
virtual void | loadChildTextBlocksFromNode (QDomElement &root)
virtual void | resetTextBlocks ()

## Additional Inherited Members
Public Types inherited from CodeBlock
enum | ContentType { AutoGenerated =0 , UserGenerated }
Static Public Member Functions inherited from CodeBlock
static QString | enumToString (const ContentType &val)
Static Public Member Functions inherited from TextBlock
static QString | getIndentation ()
static QString | getNewLineEndingChars ()
static QString | formatMultiLineText (const QString &work, const QString &linePrefix, const QString &breakStr, bool addBreak=true, bool lastLineHasBreak=true)
static QString | encodeText (const QString &text, const QString &endLine)
static QString | decodeText (const QString &text, const QString &endLine)
Protected Attributes inherited from CodeGenObjectWithTextBlocks
QMap< QString, TextBlock * > | m_textBlockTagMap
TextBlockList | m_textblockVector

## Detailed Description

class OwnedHierarchicalCodeBlock A "chunk" of code within the code document that is "owned" by some umlobject. This is an abstract class that should be inherited. Note: keep the inheritance sequence: QObject needs to be first in inheritance list.

## Constructor & Destructor Documentation

## ◆ OwnedHierarchicalCodeBlock()

OwnedHierarchicalCodeBlock::OwnedHierarchicalCodeBlock | ( | UMLObject * | parent,
|  | CodeDocument * | parentDoc,
|  | const QString & | start = QString(),
|  | const QString & | end = QString(),
|  | const QString & | comment = QString() )

Constructor with QString so we can create & populate it in one step.

## ◆ ~OwnedHierarchicalCodeBlock()

OwnedHierarchicalCodeBlock::~OwnedHierarchicalCodeBlock | ( |  | ) |
| virtual

Empty Destructor

## Member Function Documentation

## ◆ getParentDocument()

CodeDocument * OwnedHierarchicalCodeBlock::getParentDocument | ( |  | ) |

Return the parent code document

## ◆ loadFromXMI()

virtual void OwnedHierarchicalCodeBlock::loadFromXMI | ( | QDomElement & | root | ) |
| pure virtual

load params from the appropriate XMI element node.

Reimplemented from HierarchicalCodeBlock.

Implemented in CPPHeaderClassDeclarationBlock, DClassDeclarationBlock, JavaClassDeclarationBlock, and RubyClassDeclarationBlock.

## ◆ release()

void OwnedHierarchicalCodeBlock::release | ( |  | ) |
| protectedvirtual

causes the text block to release all of its connections and any other text blocks that it 'owns'. needed to be called prior to deletion of the textblock.

Reimplemented from OwnedCodeBlock.

## ◆ saveToXMI()

virtual void OwnedHierarchicalCodeBlock::saveToXMI | ( | QXmlStreamWriter & | writer | ) |
| pure virtual

Save the XMI representation of this object

Reimplemented from HierarchicalCodeBlock.

Implemented in CPPHeaderClassDeclarationBlock, DClassDeclarationBlock, JavaClassDeclarationBlock, and RubyClassDeclarationBlock.

## ◆ setAttributesFromNode()

void OwnedHierarchicalCodeBlock::setAttributesFromNode | ( | QDomElement & | root | ) |
| protectedvirtual

set the class attributes of this object from the passed element node.

Reimplemented from OwnedCodeBlock.

## ◆ setAttributesFromObject()

void OwnedHierarchicalCodeBlock::setAttributesFromObject | ( | TextBlock * | obj | ) |
| protectedvirtual

set the class attributes from a passed object

Reimplemented from OwnedCodeBlock.

Reimplemented in CPPHeaderClassDeclarationBlock, and DClassDeclarationBlock.

## ◆ setAttributesOnNode()

void OwnedHierarchicalCodeBlock::setAttributesOnNode | ( | QXmlStreamWriter & | writer | ) |
| protectedvirtual

set attributes of the node that represents this class in the XMI document.

Reimplemented from OwnedCodeBlock.

## ◆ syncToParent

void OwnedHierarchicalCodeBlock::syncToParent | ( |  | ) |
| slot

## ◆ updateContent()

virtual void OwnedHierarchicalCodeBlock::updateContent | ( |  | ) |
| pure virtual

Implements OwnedCodeBlock.

Implemented in CPPHeaderClassDeclarationBlock, DClassDeclarationBlock, JavaClassDeclarationBlock, and RubyClassDeclarationBlock.

The documentation for this class was generated from the following files:

- umbrello/codegenerators/ownedhierarchicalcodeblock.h
- umbrello/codegenerators/ownedhierarchicalcodeblock.cpp